sh
#Need to add Modelling Center and Data Provider
showDatasources<-function(){
#SEASONAL DATASETS
seasonal_forecast_systems <- data.frame(
  Name = c("ECMWF-SEAS5", "ECMWF-SEAS5.1", "DWD-GCFS2.1", "CMCC-SPS3.5", 
                       "Meteo-France-System7", "JMA-CPS2", "ECCC-CanCM4i", 
                       "UK-MetOffice-GloSea600", "NCEP-CFSv2"),
  Type=c("ForecastSystem","ForecastSystem","ForecastSystem","ForecastSystem","ForecastSystem","ForecastSystem","ForecastSystem","ForecastSystem","ForecastSystem"),
  Range=c("Seasonal","Seasonal","Seasonal","Seasonal","Seasonal","Seasonal","Seasonal","Seasonal","Seasonal"),
  Monthly_mean = c("Yes", "Yes", "Yes", "Yes", "Yes", "Yes", "May to November", "Yes", "Yes"),
  Daily_mean = c("Yes", "Yes", "No", "No", "No", "No", "No", "No", "No"),
  Path = c("/esarchive/exp/ecmwf/system5c3s/", "/esarchive/exp/ecmwf/system51c3s/", "/esarchive/exp/dwd/system21_m1/",
           "/esarchive/exp/cmcc/system35c3s/", "/esarchive/exp/meteofrance/system7c3s/", "/esarchive/exp/jma/system2c3s/",
           "/esarchive/exp/eccc/eccc1/", "/esarchive/exp/ukmo/glosea6_system600-c3s/", "/esarchive/exp/ncep/cfs-v2/"),
  forecast_DCPP_B=c(" "," "," "," "," "," "," "," "," ")
)
  
seasonal_observation_systems<-data.frame(
  Name= c("ERA5", "ERA5-Land", "UERRA"),
  Type=c("Observations","Observations","Observations"),
  Range=c("Seasonal","Seasonal","Seasonal"),
  Monthly_mean = c("Yes", "tas only", "No"),
  Daily_mean = c("Yes", "Yes", "tas only"),
  Path = c("/esarchive/recon/ecmwf/era5/", "/esarchive/recon/ecmwf/era5land/", "/esarchive/recon/ecmwf/uerra_mescan/"),
  forecast_DCPP_B=c(" "," "," ")
)

#DECADAL DATASETS
decadal_forecast_systems <- data.frame(
   Name = c("BCC-CSM2-MR", "CanESM5", "CESM1-1-CAM5-CMIP5", "CMCC-CM2-SR5", 
                      "EC-Earth3-i1", "EC-Earth3-i2", "EC-Earth3-i4", "HadGEM3-GC3.1-MM", 
                      "IPSL-CM6A-LR", "MIROC6", "MPI-ESM1.2-HR", "MPI-ESM1.2-LR", 
                      "MRI-ESM2-0", "NorCPM1-i1", "NorCPM1-i2"),
  Type=c("Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem","Forecastsystem"),
   Range=c("Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal","Decadal"),
  Monthly_mean = c("Yes", "Yes", "Yes", "Yes", "Yes", "Yes", "Yes", "Yes", "Yes", 
                   "Yes", "Yes", "Yes", "Yes", "Yes", "Yes"),
  Daily_mean = c("Yes", "Yes", "WIP", "Yes", "Yes", "Yes", "Yes", "Yes", "Yes", 
                 "Yes", "Yes", "No", "Yes", "Yes", "Yes"),
  Path=c(" "," "," "," "," "," "," "," "," "," "," "," "," "," "," "),
  forecast_DCPP_B = c("No", "Yes", "No", "Yes", "No", "No", "Yes", "Yes", "No", "No", 
           "No", "Yes", "No", "No", "No")
)

decadal_observations<- data.frame(
    Name =c("GHNv4", "ERA5", "JRA-55","GISTEMPv4", "HadCRUT4", "HadSLP2"),
    Type=c("Reference","Reference","Reference"),
    Range=c("Decadal","Decadal","Decadal","Decadal","Decadal","Decadal"),
    Monthly_mean=c("Yes", "Yes", "Yes", "Yes", "Yes", "Yes"),
    Daily_mean=c("No", "Yes", "Yes", "No", "No", "No"),
    Path=c(" "," "," "," "," "," "),
    forecast_DCPP_B=c(" "," "," "," "," "," ")
)

combine_seasonal<-rbind(seasonal_forecast_systems,seasonal_observation_systems)
combine_decadal<-rbind(decadal_forecast_systems,decadal_observations)
combine<-rbind(combine_seasonal,combine_decadal)
print(combine)
}